# dmd.traits

Handle introspection functionality of the `__traits()` construct.

Specification: Traits

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: traits.d

Documentation: https://dlang.org/phobos/dmd_traits.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/traits.d

- `getTypePointerBitmap`

  #### Declaration

  `ulong `getTypePointerBitmap`(Loc `loc`, Type `t`, Array!ulong* `data`);`

  get an array of size_t values that indicate possible pointer words in memory if interpreted as the type given as argument

  #### Return Value

  the size of the type in bytes, ulong.max on error